<?php
declare(strict_types=1);

namespace WP_AUX\Enum;

use WP_AUX\Interfaces\OptionsEnumInterface;
use WP_AUX\Traits\EnumTraits;

enum IconsEnum: string implements OptionsEnumInterface
{
  use EnumTraits;

  case TWELFTH_MAN_TOWEL = 'aux_12th-man-towel';
  case TWELFTH_MAN = 'aux_12th-man';
  case A11Y_COPY = 'aux_A11Y-copy';
  case A11Y = 'aux_A11Y';
  case ADDRESS_BOOK = 'aux_address-book';
  case AGGIE_BAND = 'aux_aggie-band';
  case AGGIE_RING = 'aux_aggie-ring';
  case ALARM_CLOCK = 'aux_alarm-clock';
  case ANCHOR_DETAILED = 'aux_anchor-detailed';
  case ANCHOR = 'aux_anchor';
  case ANDROID = 'aux_android';
  case ANGLE_DOWN_PRIMARY_BRAND = 'aux_angle-down-primary-brand';
  case ANGLE_DOWN_WHITE = 'aux_angle-down-white';
  case ANGLE_DOWN = 'aux_angle-down';
  case ANGLE_LEFT = 'aux_angle-left';
  case ANGLE_RIGHT = 'aux_angle-right';
  case ANGLE_UP = 'aux_angle-up';
  case ANGLES_DOWN = 'aux_angles-down';
  case ANGLES_LEFT = 'aux_angles-left';
  case ANGLES_RIGHT = 'aux_angles-right';
  case ANGLES_UP = 'aux_angles-up';
  case APPLE = 'aux_apple';
  case AR_VR_HEADSET = 'aux_ar-vr-headset';
  case ARROW_DOWN_A_Z = 'aux_arrow-down-a-z';
  case ARROW_DOWN_ARROW_UP = 'aux_arrow-down-arrow-up';
  case ARROW_DOWN_LONG = 'aux_arrow-down-long';
  case ARROW_DOWN = 'aux_arrow-down';
  case ARROW_LEFT_LONG = 'aux_arrow-left-long';
  case ARROW_LEFT = 'aux_arrow-left';
  case ARROW_RIGHT_LONG = 'aux_arrow-right-long';
  case ARROW_RIGHT = 'aux_arrow-right';
  case ARROW_UP_A_Z = 'aux_arrow-up-a-z';
  case ARROW_UP_ARROW_DOWN = 'aux_arrow-up-arrow-down';
  case ARROW_UP_LONG = 'aux_arrow-up-long';
  case ARROW_UP_RIGHT_FROM_SQUARE = 'aux_arrow-up-right-from-square';
  case ARROW_UP_RIGHT = 'aux_arrow-up-right';
  case ARROW_UP = 'aux_arrow-up';
  case ARROWS_ROTATE = 'aux_arrows-rotate';
  case ATOM = 'aux_atom';
  case AWARD = 'aux_award';
  case BACK_TO_TOP = 'aux_back-to-top';
  case BACKPACK = 'aux_backpack';
  case BACKPACK_STEP = 'aux_backpack-step';
  case BACTERIA = 'aux_bacteria';
  case BADGE_CHECK = 'aux_badge-check';
  case BAG_SEEDLING = 'aux_bag-seedling';
  case BALLOT_CHECK = 'aux_ballot-check';
  case BAN = 'aux_ban';
  case BANDAGE = 'aux_bandage';
  case BARS = 'aux_bars';
  case BASEBALL_BAT_BALL = 'aux_baseball-bat-ball';
  case BASEBALL = 'aux_baseball';
  case BASKET_SHOPPING = 'aux_basket-shopping';
  case BASKETBALL_HOOP = 'aux_basketball-hoop';
  case BASKETBALL = 'aux_basketball';
  case BENCH_TREE = 'aux_bench-tree';
  case BICYCLE = 'aux_bicycle';
  case BLUESKY = 'aux_bluesky';
  case BOLT = 'aux_bolt';
  case BOOK_BLANK = 'aux_book-blank';
  case BOOK_BOOKMARK = 'aux_book-bookmark';
  case BOOK_OPEN_COVER = 'aux_book-open-cover';
  case BOOK_OPEN = 'aux_book-open';
  case BOOK = 'aux_book';
  case BOOKS = 'aux_books';
  case BOOT_COWBOY = 'aux_boot-cowboy';
  case BOTTLE_DROPLET = 'aux_bottle-droplet';
  case BOTTLE_WATER = 'aux_bottle-water';
  case BOWL_CHOPSTICKS_NOODLES = 'aux_bowl-chopsticks-noodles';
  case BOWLING_BALL_PIN = 'aux_bowling-ball-pin';
  case BOX_ARCHIVE = 'aux_box-archive';
  case BRAIN = 'aux_brain';
  case BRIDGE_SUSPENSION = 'aux_bridge-suspension';
  case BRIEFCASE_BLANK = 'aux_briefcase-blank';
  case BRIEFCASE_MEDICAL = 'aux_briefcase-medical';
  case BRIEFCASE = 'aux_briefcase';
  case BRUSH = 'aux_brush';
  case BUG = 'aux_bug';
  case BUILDING_COLUMNS = 'aux_building-columns';
  case BUILDING = 'aux_building';
  case BUILDINGS = 'aux_buildings';
  case BULLHORN = 'aux_bullhorn';
  case BURGER_CHEESE = 'aux_burger-cheese';
  case BURGER_SODA = 'aux_burger-soda';
  case BUS_SCHOOL = 'aux_bus-school';
  case BUS_SIMPLE = 'aux_bus-simple';
  case CACTUS = 'aux_cactus';
  case CALCULATOR_SIMPLE = 'aux_calculator-simple';
  case CALENDAR_CLOCK = 'aux_calendar-clock';
  case CALENDAR = 'aux_calendar';
  case CAMERA_CCTV = 'aux_camera-cctv';
  case CAMERA_MOVIE = 'aux_camera-movie';
  case CAMERA = 'aux_camera';
  case CAR_BUILDING = 'aux_car-building';
  case CAR_BUS = 'aux_car-bus';
  case CAR_MIRRORS = 'aux_car-mirrors';
  case CARET_DOWN = 'aux_caret-down';
  case CART_SHOPPING = 'aux_cart-shopping';
  case CERTIFICATE = 'aux_certificate';
  case CHAIR_OFFICE = 'aux_chair-office';
  case CHARGING_STATION = 'aux_charging-station';
  case CHART_COLUMN = 'aux_chart-column';
  case CHART_MIXED = 'aux_chart-mixed';
  case CHART_NETWORK = 'aux_chart-network';
  case CHART_PIE = 'aux_chart-pie';
  case CHECK = 'aux_check';
  case CIRCLE_BOLT = 'aux_circle-bolt';
  case CIRCLE_CALENDAR = 'aux_circle-calendar';
  case CIRCLE_CHECK = 'aux_circle-check';
  case CIRCLE_CHEVRON_DOWN = 'aux_circle-chevron-down';
  case CIRCLE_CHEVRON_LEFT = 'aux_chevron-left';
  case CIRCLE_CHEVRON_RIGHT = 'aux_circle-chevron-right';
  case CIRCLE_CHEVRON_UP = 'aux_circle-chevron-up';
  case CIRCLE_DOLLAR = 'aux_circle-dollar';
  case CIRCLE_EXCLAMATION = 'aux_circle-exclamation';
  case CIRCLE_INFO = 'aux_circle-info';
  case CIRCLE_OUTLINE_CHECK = 'aux_circle-outline-check';
  case CIRCLE_OUTLINE_EXCLAMATION = 'aux_circle-outline-exclamation';
  case CIRCLE_OUTLINE_INFO = 'aux_circle-outline-info';
  case CIRCLE_OUTLINE_QUESTION = 'aux_circle-outline-question';
  case CIRCLE_OUTLINE_XMARK = 'aux_circle-outline-xmark';
  case CIRCLE_PARKING = 'aux_circle-parking';
  case CIRCLE_PAUSE = 'aux_circle-pause';
  case CIRCLE_PLAY = 'aux_circle-play';
  case CIRCLE_QUESTION = 'aux_circle-question';
  case CIRCLE_USER = 'aux_circle-user';
  case CIRCLE_XMARK = 'aux_circle-xmark';
  case CITY = 'aux_city';
  case CLAPPERBOARD_PLAY = 'aux_clapperboard-play';
  case CLIPBOARD_LIST_CHECK = 'aux_clipboard-list-check';
  case CLIPBOARD_LIST = 'aux_clipboard-list';
  case CLIPBOARD_USER = 'aux_clipboard-user';
  case CLIPBOARD = 'aux_clipboard';
  case CLOCK = 'aux_clock';
  case CLOSED_CAPTIONS = 'aux_closed-captions';
  case CLOUD_RAIN = 'aux_cloud-rain';
  case CLOUD_SHOWERS_HEAVY = 'aux_cloud-showers-heavy';
  case CLOUD_SUN_RAIN = 'aux_cloud-sun-rain';
  case CLOUD_SUN = 'aux_cloud-sun';
  case CLOUD_THUNDERSTORM = 'aux_cloud-thunderstorm';
  case CLOUD = 'aux_cloud';
  case CLOUDS = 'aux_clouds';
  case CODE = 'aux_code';
  case COINS = 'aux_coins';
  case COMMENT = 'aux_comment';
  case COMMENTS = 'aux_comments';
  case COMPASS = 'aux_compass';
  case COMPUTER_MOUSE = 'aux_computer-mouse';
  case COMPUTER = 'aux_computer';
  case CORN = 'aux_corn';
  case COW = 'aux_cow';
  case CRAB = 'aux_crab';
  case CUP_TOGO = 'aux_cup-togo';
  case DESKTOP = 'aux_desktop';
  case DIPLOMA = 'aux_diploma';
  case DNA = 'aux_dna';
  case DOG_COLLAR = 'aux_dog-collar';
  case DOLPHIN = 'aux_dolphin';
  case DOT_DIVIDER = 'aux_dot-divider';
  case DOT = 'aux_dot';
  case DROPBOX = 'aux_dropbox';
  case DROPLET = 'aux_droplet';
  case DUMBBELL = 'aux_dumbbell';
  case EARTH_AMERICAS = 'aux_earth-americas';
  case ENVELOPE_CIRCLE_CHECK = 'aux_envelope-circle-check';
  case ENVELOPE_OPEN_TEXT = 'aux_envelope-open-text';
  case ENVELOPE = 'aux_envelope';
  case EXCLAMATION = 'aux_exclamation';
  case EXPAND = 'aux_expand';
  case EYE = 'aux_eye';
  case FACEBOOK_F = 'aux_facebook-f';
  case FACEBOOK = 'aux_facebook';
  case FAMILY = 'aux_family';
  case FANCY_STAR = 'aux_fancy-star';
  case FARM_SILO = 'aux_farm-silo';
  case FARM = 'aux_farm';
  case FAST_FORWARD = 'aux_fast-forward';
  case FIGMA = 'aux_figma';
  case FILE_CERTIFICATE = 'aux_file-certificate';
  case FILE_DOWNLOAD = 'aux_file-download';
  case FILE_EXCEL = 'aux_file-excel';
  case FILE_IMPORT = 'aux_file-import';
  case FILE_PDF = 'aux_file-pdf';
  case FILE_POWERPOINT = 'aux_file-powerpoint';
  case FILE_WORD = 'aux_file-word';
  case FILE_ZIPPER = 'aux_file-zipper';
  case FILE = 'aux_file';
  case FILES = 'aux_files';
  case FINGERPRINT = 'aux_fingerprint';
  case FIRE_EXTINGUISHER = 'aux_fire-extinguisher';
  case FIRE = 'aux_fire';
  case FISH = 'aux_fish';
  case FLASK = 'aux_flask';
  case FLOWER_BONNET = 'aux_flower-bonnet';
  case FLOWER_DAISY = 'aux_flower-daisy';
  case FLOWER_TULIP = 'aux_flower-tulip';
  case FOLDER_EMPTY = 'aux_folder-empty';
  case FOLDER = 'aux_folder';
  case FOOTBALL_HELMET = 'aux_football-helmet';
  case FOOTBALL = 'aux_football';
  case FORWARD_STEP = 'aux_forward-step';
  case FULL_SCREEN = 'aux_full-screen';
  case FUTBOL = 'aux_futbol';
  case GAME_CONSOLE_HANDHELD = 'aux_game-console-handheld';
  case GAMEPAD_MODERN = 'aux_gamepad-modern';
  case GEAR = 'aux_gear';
  case GIG_EM_OUTLINE_DARK_MAROON = 'aux_gig-em-outline-dark-maroon';
  case GIG_EM_OUTLINE = 'aux_gig-em-outline';
  case GIG_EM_SOLID = 'aux_gig-em-solid';
  case GITHUB = 'aux_github';
  case GLASS = 'aux_glass';
  case GLASSES = 'aux_glasses';
  case GLOBE_POINTER = 'aux_globe-pointer';
  case GOAL_NET = 'aux_goal-net';
  case GOLF_BALL_TEE = 'aux_golf-ball-tee';
  case GOLF_CLUB = 'aux_golf-club';
  case GOLF_FLAG_HOLE = 'aux_golf-flag-hole';
  case GOOGLE_DRIVE = 'aux_google-drive';
  case GOOGLE_PLUS_G = 'aux_google-plus-g';
  case GOOGLE = 'aux_google';
  case GRADUATION_CAP = 'aux_graduation-cap';
  case HAMMER = 'aux_hammer';
  case HAND_HOLDING_DOLLAR = 'aux_hand-holding-dollar';
  case HAND_HOLDING_HEART = 'aux_hand-holding-heart';
  case HAND_HOLDING = 'aux_hand-holding';
  case HAND_MIC = 'aux_hand-mic';
  case HAND_TROWEL = 'aux_hand-trowel';
  case HAND_WAVE = 'aux_hand-wave';
  case HAND = 'aux_hand';
  case HANDSHAKE_SIMPLE = 'aux_handshake-simple';
  case HANDSHAKE = 'aux_handshake';
  case HASH_DIVIDER_SPAN = 'aux_hash-divider-span';
  case HASH_DIVIDER = 'aux_hash-divider';
  case HAT_COWBOY_SIDE = 'aux_hat-cowboy-side';
  case HAT_COWBOY = 'aux_hat-cowboy';
  case HEADPHONES = 'aux_headphones';
  case HEART = 'aux_heart';
  case HORSE_SADDLE = 'aux_horse-saddle';
  case HOSPITAL = 'aux_hospital';
  case HOTEL = 'aux_hotel';
  case HOURGLASS_CLOCK = 'aux_hourglass-clock';
  case HOURGLASS = 'aux_hourglass';
  case HOUSE_CHIMNEY = 'aux_house-chimney';
  case HOUSE = 'aux_house';
  case ICE_CREAM = 'aux_ice-cream';
  case ID_CARD = 'aux_id-card';
  case IMAGE = 'aux_image';
  case INFO = 'aux_info';
  case INSTAGRAM = 'aux_instagram';
  case KEY_SKELETON = 'aux_key-skeleton';
  case KEY = 'aux_key';
  case KEYBOARD = 'aux_keyboard';
  case LADLE = 'aux_ladle';
  case LAMP_DESK = 'aux_lamp-desk';
  case LANDMARK_DOME = 'aux_landmark-dome';
  case LANDMARK = 'aux_landmark';
  case LAPTOP = 'aux_laptop';
  case LEAF = 'aux_leaf';
  case LIFE_RING = 'aux_life-ring';
  case LIGHTBULB_ON = 'aux_lightbulb-on';
  case LIGHTBULB = 'aux_lightbulb';
  case LINK_HORIZONTAL = 'aux_link-horizontal';
  case LINK = 'aux_link';
  case LINKEDIN_IN = 'aux_linkedin-in';
  case LINKEDIN = 'aux_linkedin';
  case LOCATION_DOT = 'aux_location-dot';
  case LOCK_OPEN = 'aux_lock-open';
  case LOCK = 'aux_lock';
  case MAGNIFYING_GLASS_DETAILED = 'aux_magnifying-glass-detailed';
  case MAGNIFYING_GLASS = 'aux_magnifying-glass';
  case MAP_LOCATION_DOT = 'aux_map-location-dot';
  case MAP = 'aux_map';
  case MARKER = 'aux_marker';
  case MASK_FACE = 'aux_mask-face';
  case MASKS_THEATER = 'aux_masks-theater';
  case MEDAL = 'aux_medal';
  case MEDICAL_CROSS = 'aux_medical-cross';
  case MESSAGE_QUESTION = 'aux_message-question';
  case MESSAGES_QUESTION = 'aux_messages-question';
  case MICROPHONE = 'aux_microphone';
  case MOBILE_SCREEN_BUTTON = 'aux_mobile-screen-button';
  case MONEY_BILL_1 = 'aux_money-bill-1';
  case MONEY_CHECK_DOLLAR_PEN = 'aux_money-check-dollar-pen';
  case MOON_STARS = 'aux_moon-stars';
  case MUG_HOT = 'aux_mug-hot';
  case MUSIC = 'aux_music';
  case MUTE = 'aux_mute';
  case NEWSPAPER = 'aux_newspaper';
  case NOTEBOOK = 'aux_notebook';
  case PAINTBRUSH_FINE = 'aux_paintbrush-fine';
  case PAINTBRUSH_PENCIL = 'aux_paintbrush-pencil';
  case PALETTE = 'aux_palette';
  case PAPER_PLANE = 'aux_paper-plane';
  case PARTY_POPPER = 'aux_party-popper';
  case PAW = 'aux_paw';
  case PAUSE = 'aux_pause';
  case PEN_CLIP = 'aux_pen-clip';
  case PEN_NIB = 'aux_pen-nib';
  case PENCIL = 'aux_pencil';
  case PEOPLE_ROOF = 'aux_people-roof';
  case PEOPLE_SIMPLE = 'aux_people-simple';
  case PERSON_BIKING = 'aux_person-biking';
  case PERSON_CHALKBOARD = 'aux_person-chalkboard';
  case PERSON_RUNNING_FAST = 'aux_person-running-fast';
  case PERSON_RUNNING = 'aux_person-running';
  case PERSON_SIMPLE = 'aux_person-simple';
  case PERSON_SWIMMING = 'aux_person-swimming';
  case PERSON_WALKING = 'aux_person-walking';
  case PERSON = 'aux_person';
  case PHONE_OFFICE = 'aux_phone-office';
  case PHONE = 'aux_phone';
  case PHOTO_FILM = 'aux_photo-film';
  case PICKUP_TRUCK = 'aux_pickup-truck';
  case PILLS = 'aux_pills';
  case PLANE = 'aux_plane';
  case PLANET_RINGED = 'aux_planet-ringed';
  case PLAY_PAUSE = 'aux_play-pause';
  case PLAY = 'aux_play';
  case PRESENTATION_SCREEN = 'aux_presentation-screen';
  case PRIMARYTAM = 'aux_primaryTAM';
  case PRINT = 'aux_print';
  case PUZZLE_PIECE_SIMPLE = 'aux_puzzle-piece-simple';
  case PUZZLE_PIECE = 'aux_puzzle-piece';
  case PUZZLE = 'aux_puzzle';
  case QUESTION = 'aux_question';
  case RACQUET = 'aux_racquet';
  case RAINDROPS = 'aux_raindrops';
  case RANKING_STAR = 'aux_ranking-star';
  case RECYCLE = 'aux_recycle';
  case REDDIT_ALIEN = 'aux_reddit-alien';
  case REDDIT = 'aux_reddit';
  case REPLAY = 'aux_replay';
  case REVEILLE = 'aux_reveille';
  case REWIND = 'aux_rewind';
  case RIBBON = 'aux_ribbon';
  case ROCKET = 'aux_rocket';
  case ROUTER = 'aux_router';
  case RSS = 'aux_rss';
  case SACK_DOLLAR = 'aux_sack-dollar';
  case SAILBOAT = 'aux_sailboat';
  case SATELLITE = 'aux_satellite';
  case SCALE_BALANCED = 'aux_scale-balanced';
  case SCHOOL = 'aux_school';
  case SCISSORS = 'aux_scissors';
  case SCOOTER = 'aux_scooter';
  case SCREWDRIVER_WRENCH = 'aux_screwdriver-wrench';
  case SEASHELL = 'aux_seashell';
  case SEEDLING = 'aux_seedling';
  case SHIP = 'aux_ship';
  case SHOE_PRINTS = 'aux_shoe-prints';
  case SHUFFLE = 'aux_shuffle';
  case SIREN_ON = 'aux_siren-on';
  case SITEMAP = 'aux_sitemap';
  case SKIP = 'aux_skip';
  case SLACK = 'aux_slack';
  case SNAPCHAT = 'aux_snapchat';
  case SNORKELING_GOGGLES = 'aux_snorkeling-goggles';
  case SNOWFLAKE = 'aux_snowflake';
  case SOCCER = 'aux_soccer';
  case SPARKLE = 'aux_sparkle';
  case SPARKLES = 'aux_sparkles';
  case SPEAKER = 'aux_speaker';
  case SQUARE_BOLT = 'aux_square-bolt';
  case SQUARE_CHECK = 'aux_square-check';
  case SQUARE_DOLLAR = 'aux_square-dollar';
  case SQUARE_FACEBOOK = 'aux_square-facebook';
  case SQUARE_GOOGLE_PLUS = 'aux_square-google-plus';
  case SQUARE_INSTAGRAM = 'aux_square-instagram';
  case SQUARE_REDDIT = 'aux_square-reddit';
  case SQUARE_SNAPCHAT = 'aux_square-snapchat';
  case SQUARE_TWITTER = 'aux_square-twitter';
  case SQUARE_X_TWITTER = 'aux_square-x-twitter';
  case STAFF_SNAKE = 'aux_staff-snake';
  case STAR_SHOOTING = 'aux_star-shooting';
  case STAR = 'aux_star';
  case STARS = 'aux_stars';
  case STETHOSCOPE = 'aux_stethoscope';
  case STRAWBERRY = 'aux_strawberry';
  case SUN_CLOUD = 'aux_sun-cloud';
  case SUN = 'aux_sun';
  case SYRINGE = 'aux_syringe';
  case TABLE_TENNIS_PADDLE_BALL = 'aux_table-tennis-paddle-ball';
  case TELESCOPE = 'aux_telescope';
  case TEMPERATURE_THREE_QUARTERS = 'aux_temperature-three-quarters';
  case TENNIS_BALL = 'aux_tennis-ball';
  case TEXAS_STAR = 'aux_texas-star';
  case TEXAS = 'aux_texas';
  case THUMBS_DOWN_OUTLINE = 'aux_thumbs-down-outline';
  case THUMBS_DOWN_SOLID = 'aux_thumbs-down-solid';
  case THUMBS_DOWN = 'aux_thumbs-down';
  case THUMBS_UP = 'aux_thumbs-up';
  case THUMBTACK = 'aux_thumbtack';
  case TICKET = 'aux_ticket';
  case TIMER = 'aux_timer';
  case TOOTH = 'aux_tooth';
  case TORNADO = 'aux_tornado';
  case TRACTOR = 'aux_tractor';
  case TRASH_CAN = 'aux_trash-can';
  case TREE_DECIDUOUS = 'aux_tree-deciduous';
  case TREE_PALM = 'aux_tree-palm';
  case TREE = 'aux_tree';
  case TRIANGLE_EXCLAMATION = 'aux_triangle-exclamation';
  case TRIANGLE_OUTLINE_EXCLAMATION = 'aux_triangle-outline-exclamation';
  case TROPHY_STAR = 'aux_trophy-star';
  case TROPHY = 'aux_trophy';
  case TRUCK = 'aux_truck';
  case TRUMPET = 'aux_trumpet';
  case TV_RETRO = 'aux_tv-retro';
  case TWITTER = 'aux_twitter';
  case UMBRELLA = 'aux_umbrella';
  case UNIVERSAL_ACCESS = 'aux_universal-access';
  case UNLOCK = 'aux_unlock';
  case USER_COWBOY = 'aux_user-cowboy';
  case USER_GRADUATE = 'aux_user-graduate';
  case USER_POLICE_TIE = 'aux_user-police-tie';
  case USER = 'aux_user';
  case USERS = 'aux_users';
  case UTENSILS = 'aux_utensils';
  case VEST = 'aux_vest';
  case VIDEO = 'aux_video';
  case VIOLIN = 'aux_violin';
  case VIRUS = 'aux_virus';
  case VOICEMAIL = 'aux_voicemail';
  case VOLLEYBALL = 'aux_volleyball';
  case WALLET = 'aux_wallet';
  case WAND_MAGIC_SPARKLES = 'aux_wand-magic-sparkles';
  case WATER = 'aux_water';
  case WATERMELON = 'aux_watermelon';
  case WAVE_PULSE = 'aux_wave-pulse';
  case WAVE = 'aux_wave';
  case WAVEFORM_LINES = 'aux_waveform-lines';
  case WAVEFORM = 'aux_waveform';
  case WHEAT = 'aux_wheat';
  case WHEELCHAIR_SIMPLE = 'aux_wheelchair-simple';
  case WHEELCHAIR = 'aux_wheelchair';
  case WIFI = 'aux_wifi';
  case WIND_TURBINE = 'aux_wind-turbine';
  case WINDOWS = 'aux_windows';
  case WRENCH = 'aux_wrench';
  case X_TWITTER = 'aux_x-twitter';
  case XMARK_LARGE = 'aux_xmark-large';
  case XMARK_SMALL = 'aux_xmark-small';
  case YOUTUBE = 'aux_youtube';

  public function label(): string
  {
    $words = explode('-', substr($this->value, 4));
    return join(' ', array_map('ucfirst', $words));
  }

  public static function tryFromName(string|int $name): self|null
  {
    if (strpos($name, 'aux_') !== 0) {
      if ($enum = self::from($name)) {
        return $enum;
      }
    }

    try {
      $enum = self::from($name);
    } catch ( \ValueError $e) {
      self::errorMessage($name);
    }

    return $enum;
  }
}
